package hotime

//控制器
type Ctr map[string]Method
type Proj map[string]Ctr
type Router map[string]Proj
type MethodRouter map[string]Method//直接字符串关联函数
type Method func(this *Context)

type CacheIns interface {
	//set(key string, value interface{}, time int64)
	//get(key string) interface{}
	//delete(key string)
	Cache(key string, data ...interface{}) *Obj
}


//单条缓存数据
type cacheData struct {
	time int64
	data interface{}
}

